Page MenuHomePhabricator

1.43.0-wmf.1 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
hashar
Release Version
1.43.0-wmf.1
Release Date
Apr 15 2024, 12:00 AM

2024 week 16 1.43-wmf.1 Changes wmf/1.43.0-wmf.1

This MediaWiki Train Deployment is scheduled for the week of Monday, April 15th:

Monday April 15thTuesday, April 16thWednesday, April 17thThursday, April 18thFriday
Backports only.Branch wmf.1 and deploy to Group 0 Wikis.Deploy wmf.1 to Group 1 Wikis.Deploy wmf.1 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.1 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.42.0-wmf.26
Next: 1.43.0-wmf.2

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: hashar.
thcipriani set the point value for this task to 5.

Change #1019769 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.43.0-wmf.1] Branch commit for wmf/1.43.0-wmf.1

https://gerrit.wikimedia.org/r/1019769

Change #1019769 merged by jenkins-bot:

[mediawiki/core@wmf/1.43.0-wmf.1] Branch commit for wmf/1.43.0-wmf.1

https://gerrit.wikimedia.org/r/1019769

Change #1019946 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.43.0-wmf.1

https://gerrit.wikimedia.org/r/1019946

Change #1019946 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.43.0-wmf.1

https://gerrit.wikimedia.org/r/1019946

Mentioned in SAL (#wikimedia-operations) [2024-04-16T03:05:58Z] <mwpresync@deploy1002> Started scap: testwikis wikis to 1.43.0-wmf.1 refs T361395

Mentioned in SAL (#wikimedia-operations) [2024-04-16T04:03:29Z] <mwpresync@deploy1002> Finished scap: testwikis wikis to 1.43.0-wmf.1 refs T361395 (duration: 57m 31s)

Change #1020318 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group0 wikis to 1.43.0-wmf.1

https://gerrit.wikimedia.org/r/1020318

Change #1020318 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.43.0-wmf.1

https://gerrit.wikimedia.org/r/1020318

Mentioned in SAL (#wikimedia-operations) [2024-04-16T19:08:23Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.43.0-wmf.1 refs T361395

Change #1020889 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group1 wikis to 1.43.0-wmf.1

https://gerrit.wikimedia.org/r/1020889

Change #1020889 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.43.0-wmf.1

https://gerrit.wikimedia.org/r/1020889

Mentioned in SAL (#wikimedia-operations) [2024-04-17T18:35:33Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.43.0-wmf.1 refs T361395

Change #1021528 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group2 wikis to 1.43.0-wmf.1

https://gerrit.wikimedia.org/r/1021528

Change #1021528 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.43.0-wmf.1

https://gerrit.wikimedia.org/r/1021528

Mentioned in SAL (#wikimedia-operations) [2024-04-18T18:27:33Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.43.0-wmf.1 refs T361395